Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600199 - [DOCS] Spelling error while creating cluster and local role bindings it should be cluster-admin
Summary: [DOCS] Spelling error while creating cluster and local role bindings it shoul...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Prashant Gupta
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 16:28 UTC by rehan
Modified: 2018-08-16 05:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 05:28:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description rehan 2018-07-11 16:28:45 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.9/admin_guide/manage_rbac.html#cluster-and-local-role-bindings

Section Number and Name: 

 Cluster and Local Role Bindings 

Describe the issue: 

There is spelling error in the documentation where they have mentioned             " clusteradmin " But there is no such cluster role exist it should be     "cluster-admin". 
   It will create an error while creating a LocalRole. 

Suggestions for improvement: 
    
Do change the role to "cluster-admin" in the documentation to avoid error. 


Additional information: 

Please also back port it to earlier versions 3.7 and 3.6 3.5 and 3.4.

Comment 2 Prashant Gupta 2018-07-13 07:36:32 UTC
Made the required changes in versions 3.9 and 3.7

Comment 3 Prashant Gupta 2018-07-17 10:15:32 UTC
Made the required changes and updated the document according to the style guide.

Comment 4 Prashant Gupta 2018-08-07 10:51:52 UTC
Deleted and made a new branch.
Changed role clusteradmin to cluster-admin, and formatted the document according to the style guide.
Created a PR for the same.

Comment 5 rehan 2018-08-07 12:30:14 UTC
(In reply to prasgupt from comment #4)
> Deleted and made a new branch.
> Changed role clusteradmin to cluster-admin, and formatted the document
> according to the style guide.
> Created a PR for the same.

Thanks prasgupt for the help and making changes accordingly.

Comment 6 Prashant Gupta 2018-08-16 05:28:49 UTC
https://docs.openshift.com/container-platform/3.9/admin_guide/manage_rbac.html#cluster-and-local-role-bindings

Changes incorporated.

Cluster role corrected from "clusteradmin" to "cluster-admin".


Note You need to log in before you can comment on or make changes to this bug.